Subject: Re: bug#68686: [Bug] smtpmail-send-queued-mail ignores some headers of the message it's sending!

From: Manuel Giraud <[email-masked]>
Date: Fri, 26 Jan 2024 16:37:37 +0100

[email-masked] writes:

> Please do, because 29.2 is not packaged for guix, so I don't know how
> to install it. Otherwise I would test myself with 29.2...

Hi,

So I did the following test on 29.1 (built from source from the
emacs-29.1 branch):

      - emacs -Q
      - M-: (setq send-mail-function 'smtpmail-send-it
                  smtpmail-queue-mail t
                  smtpmail-smtp-server "ledu-giraud.fr")
      - M-: (compose-mail)
      [ manually change "To:" and "From:" to [email-masked] ]
      - C-c C-c
      - M-: (smtpmail-send-queued-mail)

And this mail is correctly delivered.  The only trace left of the local
hostname is in "Message-ID:" which was set to
<[email-masked]>

So, I cannot see evidence of a bug in Emacs here.
-- 
Manuel Giraud